﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Portal_Pricing.DAL.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class INDOAGRI_DATAEntities : DbContext
    {
        public INDOAGRI_DATAEntities()
            : base("name=INDOAGRI_DATAEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<SALES_MOBILE_PRICETYPE> SALES_MOBILE_PRICETYPE { get; set; }
        public virtual DbSet<SALES_MOBILE_STOCK> SALES_MOBILE_STOCK { get; set; }
        public virtual DbSet<SALES_MOBILE_GROUP_PRODUCT> SALES_MOBILE_GROUP_PRODUCT { get; set; }
        public virtual DbSet<SALES_MOBILE_PRICETYPETOMTR> SALES_MOBILE_PRICETYPETOMTR { get; set; }
        public virtual DbSet<V_SALES_MOBILE_PRICE> V_SALES_MOBILE_PRICE { get; set; }
        public virtual DbSet<SALES_MOBILE_PRICE> SALES_MOBILE_PRICE { get; set; }
        public virtual DbSet<ActivityLog> ActivityLogs { get; set; }
    }
}
